diff --git a/web/pgadmin/static/js/components/PgTable.jsx b/web/pgadmin/static/js/components/PgTable.jsx
index dca323fcc..881e8ee3d 100644
--- a/web/pgadmin/static/js/components/PgTable.jsx
+++ b/web/pgadmin/static/js/components/PgTable.jsx
@@ -28,6 +28,8 @@ import _ from 'lodash';
 import gettext from 'sources/gettext';
 import SchemaView from '../SchemaView';
 import EmptyPanelMessage from './EmptyPanelMessage';
+import KeyboardArrowUpIcon from '@material-ui/icons/KeyboardArrowUp';
+import KeyboardArrowDownIcon from '@material-ui/icons/KeyboardArrowDown';
 
 /* eslint-disable react/display-name */
 const useStyles = makeStyles((theme) => ({
@@ -50,31 +52,18 @@ const useStyles = makeStyles((theme) => ({
     overflowX: 'hidden !important',
     overflow: 'overlay !important',
   },
-  customHeader:{
+  CustomHeader:{
     marginTop: '8px',
     marginLeft: '4px'
   },
-  searchBox: {
-    display: 'flex',
-    background: theme.palette.background.default
-  },
   warning: {
     backgroundColor: theme.palette.warning.main + '!important'
   },
   alert: {
     backgroundColor: theme.palette.error.main + '!important'
   },
-  searchPadding: {
-    flex: 2.5
-  },
   searchInput: {
-    flex: 1,
-    marginTop: 8,
-    borderLeft: 'none',
-    paddingLeft: 5,
-    marginRight: 8,
-    marginBottom: 8,
-
+    minWidth: '300px'
   },
   tableContainer: {
     overflowX: 'auto',
@@ -93,14 +82,18 @@ const useStyles = makeStyles((theme) => ({
     flexDirection: 'column',
     height: '100%',
   },
-  pgTableHeadar: {
+  pgTableContainer: {
     display: 'flex',
     flexGrow: 1,
-    overflow: 'hidden !important',
-    height: '100% !important',
-    flexDirection: 'column'
+    overflow: 'hidden',
+    flexDirection: 'column',
+    height: '100%',
+  },
+  pgTableHeader: {
+    display: 'flex',
+    background: theme.palette.background.default,
+    padding: '8px',
   },
-
   tableRowContent:{
     display: 'flex',
     flexDirection: 'column',
@@ -134,10 +127,9 @@ const useStyles = makeStyles((theme) => ({
     fontWeight: theme.typography.fontWeightBold,
     padding: theme.spacing(1, 0.5),
     textAlign: 'left',
-    overflowY: 'auto',
-    overflowX: 'hidden',
     alignContent: 'center',
     backgroundColor: theme.otherVars.tableBg,
+    overflow: 'hidden',
     ...theme.mixins.panelBorder.bottom,
     ...theme.mixins.panelBorder.right,
     ...theme.mixins.panelBorder.top,
@@ -221,7 +213,7 @@ IndeterminateCheckbox.propTypes = {
 };
 
 const ROW_HEIGHT = 35;
-export default function PgTable({ columns, data, isSelectRow, caveTable=true, ...props }) {
+export default function PgTable({ columns, data, isSelectRow, caveTable=true, schema, ExpandedComponent, sortOptions, ...props }) {
   // Use the state and functions returned from useTable to build your UI
   const classes = useStyles();
   const [searchVal, setSearchVal] = React.useState('');
@@ -277,6 +269,9 @@ export default function PgTable({ columns, data, isSelectRow, caveTable=true, ..
       defaultColumn,
       isSelectRow,
       autoResetSortBy: false,
+      initialState: {
+        sortBy: sortOptions || [],
+      }
     },
     useGlobalFilter,
     useSortBy,
@@ -333,7 +328,7 @@ export default function PgTable({ columns, data, isSelectRow, caveTable=true, ..
                   />
                 </div>
               ),
-              sortble: false,
+              sortable: false,
               width: 35,
               maxWidth: 35,
               minWidth: 0
@@ -403,7 +398,7 @@ export default function PgTable({ columns, data, isSelectRow, caveTable=true, ..
       }, [expandComplete]);
 
       return (
-        <div style={style} key={row.id} ref={rowRef}>
+        <div style={style} key={row.id} ref={rowRef} data-test="row-container">
           <div className={classes.tableRowContent}>
             <div {...row.getRowProps()} className={classes.tr}>
               {row.cells.map((cell) => {
@@ -421,7 +416,7 @@ export default function PgTable({ columns, data, isSelectRow, caveTable=true, ..
                   classNames.push(classes.alert);
                 }
                 return (
-                  <div key={cell.column.id} {...cell.getCellProps()} className={clsx(classNames, row.original.icon && row.original.icon[cell.column.id], row.original.icon[cell.column.id] && classes.cellIcon)}
+                  <div key={cell.column.id} {...cell.getCellProps()} className={clsx(classNames, cell.column?.dataClassName, row.original.icon?.[cell.column.id], row.original.icon?.[cell.column.id] && classes.cellIcon)}
                     title={_.isUndefined(cell.value) || _.isNull(cell.value) ? '': String(cell.value)}>
                     {cell.render('Cell')}
                   </div>
@@ -430,13 +425,14 @@ export default function PgTable({ columns, data, isSelectRow, caveTable=true, ..
             </div>
             {!_.isUndefined(row) && row.isExpanded && (
               <Box key={row.id} className={classes.expandedForm}>
-                <SchemaView
+                {schema && <SchemaView
                   getInitData={()=>Promise.resolve({})}
                   viewHelperProps={{ mode: 'properties' }}
-                  schema={props.schema[row.id]}
+                  schema={schema[row.id]}
                   showFooter={false}
                   onDataChange={()=>{setExpandComplete(true);}}
-                />
+                />}
+                {ExpandedComponent && <ExpandedComponent row={row} onExpandComplete={()=>setExpandComplete(true)}/>}
               </Box>
             )}
           </div>
@@ -447,24 +443,30 @@ export default function PgTable({ columns, data, isSelectRow, caveTable=true, ..
   );
   // Render the UI for your table
   return (
-    <Box className={classes.pgTableHeadar}>
-      <Box className={classes.searchBox}>
-        {props.customHeader && (<Box className={classes.customHeader}> <props.customHeader /></Box>)}
-        <Box className={classes.searchPadding}></Box>
-        <InputText
-          placeholder={'Search'}
-          className={classes.searchInput}
-          value={searchVal}
-          onChange={(val) => {
-            setSearchVal(val);
-          }}
-        />
+    <Box className={classes.pgTableContainer} data-test={props['data-test']}>
+      <Box className={classes.pgTableHeader}>
+        {props.CustomHeader && (<Box className={classes.customHeader}> <props.CustomHeader /></Box>)}
+        <Box marginLeft="auto">
+          <InputText
+            placeholder={'Search'}
+            className={classes.searchInput}
+            value={searchVal}
+            onChange={(val) => {
+              setSearchVal(val);
+            }}
+          />
+        </Box>
       </Box>
       <div className={classes.tableContainer}>
         <div {...getTableProps({style:{minWidth: totalColumnsWidth}})} className={clsx(classes.table, caveTable ? classes.caveTable : '')}>
           <div>
             {headerGroups.map((headerGroup) => (
-              <div key={''} {...headerGroup.getHeaderGroupProps()}>
+              <div key={''} {...headerGroup.getHeaderGroupProps((column)=>({
+                style: {
+                  ...column.style,
+                  height: '40px',
+                }
+              }))}>
                 {headerGroup.headers.map((column) => (
                   <div
                     key={column.id}
@@ -472,14 +474,14 @@ export default function PgTable({ columns, data, isSelectRow, caveTable=true, ..
                     className={clsx(classes.tableCellHeader, column.className)}
                   >
                     <div
-                      {...(column.sortble ? column.getSortByToggleProps() : {})}
+                      {...(column.sortable ? column.getSortByToggleProps() : {})}
                     >
                       {column.render('Header')}
                       <span>
                         {column.isSorted
                           ? column.isSortedDesc
-                            ? ' 🔽'
-                            : ' 🔼'
+                            ? <KeyboardArrowDownIcon style={{fontSize: '1.2rem'}} />
+                            : <KeyboardArrowUpIcon style={{fontSize: '1.2rem'}} />
                           : ''}
                       </span>
                     </div>
@@ -507,14 +509,13 @@ export default function PgTable({ columns, data, isSelectRow, caveTable=true, ..
                       height={height}
                       itemCount={rows.length}
                       itemSize={getRowHeight}
-                      sorted={props?.sortOptions}
                     >
                       {RenderRow}
                     </VariableSizeList>)}
                 </AutoSizer>
               </div>
             ) : (
-              <EmptyPanelMessage text={gettext('No record found')}/>
+              <EmptyPanelMessage text={gettext('No rows found')}/>
             )
           }
         </div>
@@ -526,7 +527,7 @@ export default function PgTable({ columns, data, isSelectRow, caveTable=true, ..
 PgTable.propTypes = {
   stepId: PropTypes.number,
   height: PropTypes.number,
-  customHeader: PropTypes.func,
+  CustomHeader: PropTypes.func,
   className: PropTypes.oneOfType([PropTypes.string, PropTypes.object]),
   caveTable: PropTypes.bool,
   fixedSizeList: PropTypes.oneOfType([PropTypes.string, PropTypes.object]),
@@ -544,8 +545,8 @@ PgTable.propTypes = {
   setSelectedRows: PropTypes.func,
   getSelectedRows: PropTypes.func,
   searchText: PropTypes.string,
-  type: PropTypes.string,
   sortOptions: PropTypes.array,
   schema: PropTypes.object,
-  rows: PropTypes.object
+  rows: PropTypes.object,
+  ExpandedComponent: PropTypes.node,
 };
diff --git a/web/pgadmin/static/js/custom_hooks.js b/web/pgadmin/static/js/custom_hooks.js
index a38088851..b77df8d70 100644
--- a/web/pgadmin/static/js/custom_hooks.js
+++ b/web/pgadmin/static/js/custom_hooks.js
@@ -13,6 +13,7 @@ export function useInterval(callback, delay) {
     }
 
     if(delay > -1) {
+      tick();
       let id = setInterval(tick, delay);
       return () => clearInterval(id);
     }
diff --git a/web/pgadmin/static/js/helpers/Notifier.jsx b/web/pgadmin/static/js/helpers/Notifier.jsx
index 95d837e8e..702c780ec 100644
--- a/web/pgadmin/static/js/helpers/Notifier.jsx
+++ b/web/pgadmin/static/js/helpers/Notifier.jsx
@@ -92,7 +92,7 @@ const useModalStyles = makeStyles((theme)=>({
   },
   margin: {
     marginLeft: '0.25rem',
-  }
+  },
 }));
 function AlertContent({text, confirm, okLabel=gettext('OK'), cancelLabel=gettext('Cancel'), onOkClick, onCancelClick}) {
   const classes = useModalStyles();
@@ -144,11 +144,10 @@ var Notifier = {
     }
   },
   _callNotify(msg, type, autoHideDuration) {
-    if (!_.isNull(autoHideDuration)) {
-      this.notify(<NotifierMessage type={type} message={msg} closable={false} />, autoHideDuration);
-    } else {
-      this.notify(<NotifierMessage type={type} message={msg}/>, null);
-    }
+    this.notify(
+      <NotifierMessage style={{maxWidth: '50vw'}} type={type} message={msg} closable={_.isNull(autoHideDuration) ? true : false} />,
+      autoHideDuration
+    );
   },
 
   pgRespErrorNotify(xhr, error, prefixMsg='') {
diff --git a/web/pgadmin/tools/backup/__init__.py b/web/pgadmin/tools/backup/__init__.py
index 0742e5882..8eebaa505 100644
--- a/web/pgadmin/tools/backup/__init__.py
+++ b/web/pgadmin/tools/backup/__init__.py
@@ -6,7 +6,6 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
 """Implements Backup Utility"""
 
 import simplejson as json
@@ -103,9 +102,12 @@ class BackupMessage(IProcessDesc):
             else:
                 self.cmd += cmd_arg(arg)
 
-    def get_server_details(self):
+    def get_server_name(self):
         s = get_server(self.sid)
 
+        if s is None:
+            return _("Not available")
+
         from pgadmin.utils.driver import get_driver
         driver = get_driver(PG_DEFAULT_DRIVER)
         manager = driver.connection_manager(self.sid)
@@ -113,7 +115,10 @@ class BackupMessage(IProcessDesc):
         host = manager.local_bind_host if manager.use_ssh_tunnel else s.host
         port = manager.local_bind_port if manager.use_ssh_tunnel else s.port
 
-        return s.name, host, port
+        s.name = html.safe_str(s.name)
+        host = html.safe_str(host)
+        port = html.safe_str(port)
+        return "{0} ({1}:{2})".format(s.name, host, port)
 
     @property
     def type_desc(self):
@@ -129,77 +134,45 @@ class BackupMessage(IProcessDesc):
 
     @property
     def message(self):
-        name, host, port = self.get_server_details()
-        name = html.safe_str(name)
-        host = html.safe_str(host)
-        port = html.safe_str(port)
+        server_name = self.get_server_name()
 
         if self.backup_type == BACKUP.OBJECT:
             return _(
                 "Backing up an object on the server '{0}' "
                 "from database '{1}'"
-            ).format(self.args_str.format(name, host, port),
+            ).format(server_name,
                      html.safe_str(self.database)
                      )
         if self.backup_type == BACKUP.GLOBALS:
             return _("Backing up the global objects on "
                      "the server '{0}'").format(
-                self.args_str.format(
-                    name, host, port
-                )
+                server_name
             )
         elif self.backup_type == BACKUP.SERVER:
             return _("Backing up the server '{0}'").format(
-                self.args_str.format(
-                    name, host, port
-                )
+                server_name
             )
         else:
             # It should never reach here.
             return "Unknown Backup"
 
     def details(self, cmd, args):
-        name, host, port = self.get_server_details()
-
-        res = '<div>'
-
+        server_name = self.get_server_name()
+        backup_type = _("Backup")
         if self.backup_type == BACKUP.OBJECT:
-            msg = _(
-                "Backing up an object on the server '{0}' "
-                "from database '{1}'..."
-            ).format(
-                self.args_str.format(
-                    name, host, port
-                ),
-                self.database
-            )
-            res += html.safe_str(msg)
+            backup_type = _("Backup Object")
         elif self.backup_type == BACKUP.GLOBALS:
-            msg = _("Backing up the global objects on "
-                    "the server '{0}'...").format(
-                self.args_str.format(
-                    name, host, port
-                )
-            )
-            res += html.safe_str(msg)
+            backup_type = _("Backup Globals")
         elif self.backup_type == BACKUP.SERVER:
-            msg = _("Backing up the server '{0}'...").format(
-                self.args_str.format(
-                    name, host, port
-                )
-            )
-            res += html.safe_str(msg)
-        else:
-            # It should never reach here.
-            res += "Backup"
-
-        res += '</div><div class="py-1">'
-        res += _("Running command:")
-        res += '<div class="pg-bg-cmd enable-selection p-1">'
-        res += html.safe_str(cmd + self.cmd)
-        res += '</div></div>'
+            backup_type = _("Backup Server")
 
-        return res
+        return {
+            "message": self.message,
+            "cmd": cmd + self.cmd,
+            "server": server_name,
+            "object": self.database,
+            "type": backup_type,
+        }
 
 
 @blueprint.route("/")
@@ -487,7 +460,7 @@ def create_backup_objects_job(sid):
 
     # Return response
     return make_json_response(
-        data={'job_id': jid, 'Success': 1}
+        data={'job_id': jid, 'desc': p.desc.message, 'Success': 1}
     )
 
 
diff --git a/web/pgadmin/tools/backup/static/js/backup.js b/web/pgadmin/tools/backup/static/js/backup.js
index afe0c50a9..ca2642fbe 100644
--- a/web/pgadmin/tools/backup/static/js/backup.js
+++ b/web/pgadmin/tools/backup/static/js/backup.js
@@ -181,7 +181,7 @@ define([
           gettext(data.errormsg)
         );
       } else {
-        pgBrowser.Events.trigger('pgadmin-bgprocess:created');
+        pgBrowser.BgProcessManager.startProcess(data.data.job_id, data.data.desc);
       }
     },
     url_for_utility_exists(id, params){
diff --git a/web/pgadmin/tools/backup/tests/test_backup_create_job_unit_test.py b/web/pgadmin/tools/backup/tests/test_backup_create_job_unit_test.py
index a5d5caa46..1b7c047fa 100644
--- a/web/pgadmin/tools/backup/tests/test_backup_create_job_unit_test.py
+++ b/web/pgadmin/tools/backup/tests/test_backup_create_job_unit_test.py
@@ -731,6 +731,7 @@ class BackupCreateJobTest(BaseTestGenerator):
                                   self.class_params['username'],
                                   self.class_params['database']
                                   )
+
         mock_result = server_mock.query.filter_by.return_value
         mock_result.first.return_value = mock_obj
 
@@ -743,7 +744,8 @@ class BackupCreateJobTest(BaseTestGenerator):
         batch_process_mock.return_value.start = MagicMock(
             return_value=True
         )
-
+        backup_message_mock.message = 'test'
+        batch_process_mock.return_value.desc = backup_message_mock
         export_password_env_mock.return_value = True
 
         server_response = server_utils.connect_server(self, self.server_id)
diff --git a/web/pgadmin/tools/backup/tests/test_backup_message.py b/web/pgadmin/tools/backup/tests/test_backup_message.py
index fb05fa869..673d9d1d8 100644
--- a/web/pgadmin/tools/backup/tests/test_backup_message.py
+++ b/web/pgadmin/tools/backup/tests/test_backup_message.py
@@ -125,12 +125,13 @@ class BackupMessageTest(BaseTestGenerator):
     ]
 
     @patch('pgadmin.utils.get_storage_directory')
-    @patch('pgadmin.tools.backup.BackupMessage.get_server_details')
-    def runTest(self, get_server_details_mock, get_storage_directory_mock):
-        get_server_details_mock.return_value = \
-            self.class_params['name'],\
-            self.class_params['host'],\
-            self.class_params['port']
+    @patch('pgadmin.tools.backup.BackupMessage.get_server_name')
+    def runTest(self, get_server_name_mock, get_storage_directory_mock):
+        get_server_name_mock.return_value = "{0} ({1}:{2})"\
+            .format(
+                self.class_params['name'],
+                self.class_params['host'],
+                self.class_params['port'])
 
         backup_obj = BackupMessage(
             self.class_params['type'],
@@ -149,4 +150,4 @@ class BackupMessageTest(BaseTestGenerator):
         obj_details = backup_obj.details(self.class_params['cmd'],
                                          self.class_params['args'])
 
-        self.assertIn(self.expected_details_cmd, obj_details)
+        self.assertEqual(self.expected_details_cmd, obj_details['cmd'])
diff --git a/web/pgadmin/tools/backup/tests/test_backup_utils.py b/web/pgadmin/tools/backup/tests/test_backup_utils.py
index 539115afb..6c134fb5a 100644
--- a/web/pgadmin/tools/backup/tests/test_backup_utils.py
+++ b/web/pgadmin/tools/backup/tests/test_backup_utils.py
@@ -56,16 +56,16 @@ def run_backup_job(tester, job_id, expected_params, assert_in, assert_not_in,
 
     backup_file = None
     if 'details' in the_process:
-        backup_det = the_process['details']
-        backup_file = backup_det[int(backup_det.find('--file')) +
-                                 8:int(backup_det.find('--host')) - 2]
+        backup_cmd = the_process['details']['cmd']
+        backup_file = backup_cmd[int(backup_cmd.find('--file')) +
+                                 8:int(backup_cmd.find('--host')) - 2]
 
     if expected_params['expected_cmd_opts']:
         for opt in expected_params['expected_cmd_opts']:
-            assert_in(opt, the_process['details'])
+            assert_in(opt, the_process['details']['cmd'])
     if expected_params['not_expected_cmd_opts']:
         for opt in expected_params['not_expected_cmd_opts']:
-            assert_not_in(opt, the_process['details'])
+            assert_not_in(opt, the_process['details']['cmd'])
 
     # Check the process details
     p_details = tester.get('/misc/bgprocess/{0}?_={1}'.format(
diff --git a/web/pgadmin/tools/backup/tests/test_batch_process.py b/web/pgadmin/tools/backup/tests/test_batch_process.py
index 2f376c746..cc6472f94 100644
--- a/web/pgadmin/tools/backup/tests/test_batch_process.py
+++ b/web/pgadmin/tools/backup/tests/test_batch_process.py
@@ -13,6 +13,12 @@ from pgadmin.tools.backup import BackupMessage, BACKUP
 from pgadmin.utils.route import BaseTestGenerator
 from pickle import dumps, loads
 from unittest.mock import patch, MagicMock
+from pgadmin.utils.preferences import Preferences
+import datetime
+import pytz
+
+start_time = \
+    datetime.datetime.now(pytz.utc).strftime("%Y-%m-%d %H:%M:%S.%f %z")
 
 
 class BatchProcessTest(BaseTestGenerator):
@@ -101,13 +107,14 @@ class BatchProcessTest(BaseTestGenerator):
          ))
     ]
 
-    @patch('pgadmin.tools.backup.BackupMessage.get_server_details')
+    @patch.object(Preferences, 'module', return_value=MagicMock())
+    @patch('pgadmin.tools.backup.BackupMessage.get_server_name')
     @patch('pgadmin.misc.bgprocess.processes.Popen')
     @patch('pgadmin.misc.bgprocess.processes.db')
     @patch('pgadmin.tools.backup.current_user')
     @patch('pgadmin.misc.bgprocess.processes.current_user')
     def runTest(self, current_user_mock, current_user, db_mock,
-                popen_mock, get_server_details_mock):
+                popen_mock, get_server_name_mock, pref_module):
         with self.app.app_context():
             current_user.id = 1
             current_user_mock.id = 1
@@ -137,10 +144,14 @@ class BatchProcessTest(BaseTestGenerator):
             db_mock.session.add.side_effect = db_session_add_mock
             db_mock.session.commit = MagicMock(return_value=True)
 
-            get_server_details_mock.return_value = \
-                self.class_params['name'], \
-                self.class_params['host'], \
-                self.class_params['port']
+            pref_module.return_value.preference.return_value.get.\
+                return_value = 5
+
+            get_server_name_mock.return_value = "{0} ({1}:{2})" \
+                .format(
+                    self.class_params['name'],
+                    self.class_params['host'],
+                    self.class_params['port'])
 
             backup_obj = BackupMessage(
                 self.class_params['type'],
@@ -171,13 +182,15 @@ class BatchProcessTest(BaseTestGenerator):
             def __init__(self, desc, args, cmd):
                 self.pid = 1
                 self.exit_code = 1
-                self.start_time = '2018-04-17 06:18:56.315445 +0000'
+                self.start_time = start_time
                 self.end_time = None
                 self.desc = dumps(desc)
                 self.arguments = " ".join(args)
                 self.command = cmd
                 self.acknowledge = None
                 self.process_state = 0
+                self.utility_pid = 123
+                self.server_id = None
 
         mock_result = process_mock.query.filter_by.return_value
         mock_result.first.return_value = TestMockProcess(
@@ -205,9 +218,7 @@ class BatchProcessTest(BaseTestGenerator):
     @patch('pgadmin.misc.bgprocess.processes.Process')
     @patch('pgadmin.misc.bgprocess.processes.BatchProcess.'
            'update_process_info')
-    @patch('pgadmin.misc.bgprocess.processes.BatchProcess.'
-           '_operate_orphan_process')
-    def _check_list(self, p, backup_obj, _operate_orphan_process_mock,
+    def _check_list(self, p, backup_obj,
                     update_process_info_mock, process_mock,
                     get_complete_file_path_mock, get_storage_directory_mock,
                     realpath_mock):
@@ -215,13 +226,15 @@ class BatchProcessTest(BaseTestGenerator):
             def __init__(self, desc, args, cmd):
                 self.pid = 1
                 self.exit_code = 1
-                self.start_time = '2018-04-17 06:18:56.315445 +0000'
+                self.start_time = start_time
                 self.end_time = None
                 self.desc = dumps(desc)
                 self.arguments = " ".join(args)
                 self.command = cmd
                 self.acknowledge = None
                 self.process_state = 0
+                self.utility_pid = 123
+                self.server_id = None
 
         process_mock.query.filter_by.return_value = [
             TestMockProcess(backup_obj,
@@ -232,7 +245,6 @@ class BatchProcessTest(BaseTestGenerator):
         get_complete_file_path_mock.return_value = self.class_params['bfile']
         realpath_mock.return_value = self.class_params['bfile']
         get_storage_directory_mock.return_value = '//'
-        _operate_orphan_process_mock.return_value = False
 
         ret_value = p.list()
         self.assertEqual(1, len(ret_value))
diff --git a/web/pgadmin/tools/grant_wizard/static/js/GrantWizard.jsx b/web/pgadmin/tools/grant_wizard/static/js/GrantWizard.jsx
index 2706432be..9fedec760 100644
--- a/web/pgadmin/tools/grant_wizard/static/js/GrantWizard.jsx
+++ b/web/pgadmin/tools/grant_wizard/static/js/GrantWizard.jsx
@@ -65,21 +65,21 @@ export default function GrantWizard({ sid, did, nodeInfo, nodeData, onClose }) {
 
       Header: 'Object Type',
       accessor: 'object_type',
-      sortble: true,
+      sortable: true,
       resizable: false,
       disableGlobalFilter: true
     },
     {
       Header: 'Schema',
       accessor: 'nspname',
-      sortble: true,
+      sortable: true,
       resizable: false,
       disableGlobalFilter: true
     },
     {
       Header: 'Name',
       accessor: 'name_with_args',
-      sortble: true,
+      sortable: true,
       resizable: true,
       disableGlobalFilter: false,
       minWidth: 280
@@ -87,7 +87,7 @@ export default function GrantWizard({ sid, did, nodeInfo, nodeData, onClose }) {
     {
       Header: 'parameters',
       accessor: 'proargs',
-      sortble: false,
+      sortable: false,
       resizable: false,
       disableGlobalFilter: false,
       minWidth: 280,
@@ -96,7 +96,7 @@ export default function GrantWizard({ sid, did, nodeInfo, nodeData, onClose }) {
     {
       Header: 'Name',
       accessor: 'name',
-      sortble: false,
+      sortable: false,
       resizable: false,
       disableGlobalFilter: false,
       minWidth: 280,
@@ -105,7 +105,7 @@ export default function GrantWizard({ sid, did, nodeInfo, nodeData, onClose }) {
     {
       Header: 'ID',
       accessor: 'oid',
-      sortble: false,
+      sortable: false,
       resizable: false,
       disableGlobalFilter: false,
       minWidth: 280,
diff --git a/web/pgadmin/tools/import_export/__init__.py b/web/pgadmin/tools/import_export/__init__.py
index f30229da9..d7890bc7c 100644
--- a/web/pgadmin/tools/import_export/__init__.py
+++ b/web/pgadmin/tools/import_export/__init__.py
@@ -90,28 +90,27 @@ class IEMessage(IProcessDesc):
             else:
                 self._cmd += cmd_arg(arg)
 
-    def get_server_details(self):
+    def get_server_name(self):
         # Fetch the server details like hostname, port, roles etc
         s = Server.query.filter_by(
             id=self.sid, user_id=current_user.id
         ).first()
 
-        return s.name, s.host, s.port
+        if s is None:
+            return _("Not available")
+        return html.safe_str("{0} ({1}:{2})".format(s.name, s.host, s.port))
 
     @property
     def message(self):
         # Fetch the server details like hostname, port, roles etc
-        name, host, port = self.get_server_details()
-
         return _(
             "Copying table data '{0}.{1}' on database '{2}' "
-            "and server ({3}:{4})"
+            "and server '{3}'"
         ).format(
             html.safe_str(self.schema),
             html.safe_str(self.table),
             html.safe_str(self.database),
-            html.safe_str(host),
-            html.safe_str(port)
+            self.get_server_name()
         )
 
     @property
@@ -121,30 +120,14 @@ class IEMessage(IProcessDesc):
 
     def details(self, cmd, args):
         # Fetch the server details like hostname, port, roles etc
-        name, host, port = self.get_server_details()
-
-        res = '<div>'
-        res += _(
-            "Copying table data '{0}.{1}' on database '{2}' "
-            "for the server '{3}'"
-        ).format(
-            html.safe_str(self.schema),
-            html.safe_str(self.table),
-            html.safe_str(self.database),
-            "{0} ({1}:{2})".format(
-                html.safe_str(name),
-                html.safe_str(host),
-                html.safe_str(port)
-            )
-        )
-
-        res += '</div><div class="py-1">'
-        res += _("Running command:")
-        res += '<div class="pg-bg-cmd enable-selection p-1">'
-        res += html.safe_str(self._cmd)
-        res += '</div></div>'
-
-        return res
+        return {
+            "message": self.message,
+            "cmd": self._cmd,
+            "server": self.get_server_name(),
+            "object": "{0}/{1}.{2}".format(self.database, self.schema,
+                                           self.table),
+            "type": _("Import Data") if self.is_import else _("Export Data")
+        }
 
 
 @blueprint.route("/")
@@ -387,7 +370,7 @@ def create_import_export_job(sid):
 
     # Return response
     return make_json_response(
-        data={'job_id': jid, 'success': 1}
+        data={'job_id': jid, 'desc': p.desc.message, 'success': 1}
     )
 
 
diff --git a/web/pgadmin/tools/import_export/static/js/import_export.js b/web/pgadmin/tools/import_export/static/js/import_export.js
index 4cfebf480..d31d4590d 100644
--- a/web/pgadmin/tools/import_export/static/js/import_export.js
+++ b/web/pgadmin/tools/import_export/static/js/import_export.js
@@ -82,8 +82,7 @@ define([
           gettext(data.errormsg)
         );
       } else {
-        Notify.success(gettext('Import/Export job created.'));
-        pgBrowser.Events.trigger('pgadmin-bgprocess:created');
+        pgBrowser.BgProcessManager.startProcess(data.data.job_id, data.data.desc);
       }
     },
 
